<?php
defined('BASEPATH') OR exit('No direct script access allowed');
//session_start();
//echo "hr";
class Forgotpw extends CI_Controller {

	function __construct() { 
         parent::__construct(); 
		 $this->load->model('login_model','',TRUE);
		 $this->load->model('search_model','',TRUE);
    } 
	
	public function index()
	{
                $this->form_validation->set_rules('email', 'Email', 'required');

				$data = array(
					'error_message' => ''
				);
                if ($this->form_validation->run() == FALSE)
                {
                        $this->load->view('admin/login_view',$data);
                }
                else //If validation success
                {
						$res = $this->varify_database();
						if($res)
						{
							$data = array(
							'error_message' => 'Thanks! We have send an email to your id.',
							'mode' => 'EMAIL'
							);							
							$this->load->view('admin/login_view',$data);
						}
						else
						{
							$data = array(
							'error_message' => 'Email not regitered with us.',
							'mode' => 'EMAIL'
							);							
							$this->load->view('admin/login_view',$data);
						}
                }
	}
	
	public function varify_database() {
		//Field validation succeeded.  Validate against database
	   //$email = $this->input->post('email');
	   $email = $this->security->xss_clean($this->input->post('email', true));
	 
	   //query the database
	   $result = $this->login_model->ForgetPw($email);
		 //echo "res".$result	;
	   //print_r($result);
	   if($result)
	   {
		 //echo "<br>Success";
		 
		 //Generate new pasword
			$newpw= $this->login_model->generate_new_password();
			
			//Update new password in database
			 $admin_user_id = $result->admin_user_id;
			 //echo "<br>admin_user_id:$admin_user_id";
			 //die();
			$input_data = array( 
							'password' => md5($newpw)
						);
			$this->login_model->update_pw($input_data,$admin_user_id);
		 
		 /*foreach($result as $row)
		 {
			 $username = $row->username;
			 $password = md5($row->password);
			 $full_name = $row->full_name;
		 }*/
		 
		 $username = $result->username;
		 $full_name = $result->full_name;
			 
		 $message = "Dear $full_name,<br><br>";
		 $message .= "Please find below your login credential:<br>";
		 $message .= "Username:$username<br>";
		 $message .= "New Password:$newpw<br>";
		 $message .= "<br>Thanks";
		 $message .= "<br>Admin - smartmatrimony.com";
		 $this->send_mail($email,$message);
		 return TRUE;
	   }
	   else
	   {
		 //echo "<br>Failed";
		 return false;
	   }
	   //echo "res2";
	}
	
	public function send_mail($email,$message) { 
  
         //$from_email = "donotreply@mfgforwarad.com"; 
		 $res_email_setting = $this->search_model->get_email_settings();
		 $from_email = $res_email_setting->email_set;
		 $email_header = $res_email_setting->email_header;
		
         //Load email library 
         $this->load->library('email'); 
   
   		 $this->email->set_mailtype("html");
         $this->email->from($from_email, $email_header); 
         $this->email->to($email);
         $this->email->subject('Admin - Reset Password'); 
         $this->email->message($message); 
   
         //Send mail 
         if($this->email->send()) {
         $this->session->set_flashdata("email_sent","Email sent successfully."); 
		 //echo "<br>Email sent successfully.".$message;
		 }
         else 
         $this->session->set_flashdata("email_sent","Error in sending Email."); 
         //$this->load->view('email_form'); 
    } 
	
}
?>

