<?php
defined('BASEPATH') OR exit('No direct script access allowed');
class Post_image extends CI_Controller {
	function __construct() { 
         parent::__construct(); 
         error_reporting(0);
		 $this->load->model('Post_image_model');
    }
	public function index()
	{
		$this->get_listdata();
	}
	public function get_listdata()
	{
		$data['page_title'] = 'Post Images';
     	$post_id = $this->uri->segment('3');
		$data['post_id'] = $post_id;
		$data['post_data'] = $this->Post_image_model->getpostdetails($post_id);
		$this->load->view('admin/post_image_view',$data);
	}
	public function getdata($id)
	{
		$result = $this->Post_image_model->get_data($id); 
		echo json_encode($result);
	}
	public function add() {
		$edit_id = $this->input->post('edit_id', TRUE);
		//echo "<br>ID:$edit_id";
		//Redirect if NAN
		if (!is_numeric($edit_id)) 
			$this->get_listdata();
		//Form Validation 
		$this->form_validation->set_rules('default_image', 'Default', 'required');
		if ($this->form_validation->run() == FALSE)
		{
			//echo "<br>Validation Not Success";
			//redirect('master/'.$type);
			$this->get_listdata();
		} else //If validation success
		{
			 $status =$this->input->post('status');
			 if(empty($status) || $status == NULL || $status == "") $status = 0;
			 else $status = 1;

			//Get Current Date and Time
			$this->load->helper('functions');
			//echo get_current_datetime();
			$date_added = get_current_datetime();
            $post_id = $this->input->post('post_id');

			if($edit_id==0) //Add
			{
                if ($_FILES['userfile']['name']) {

                    // Get the file extension
                    $fileExtension = pathinfo($_FILES['userfile']['name'], PATHINFO_EXTENSION);
					
                    // Determine the destination folder based on the file type
                    if (in_array($fileExtension, ['jpg', 'jpeg', 'png', 'gif'])) {
                        $config['upload_path'] = './media/post/images/';
						$config['allowed_types'] = 'gif|jpg|jpeg|png';
						$config['encrypt_name'] = true;
						$this->load->library('upload', $config);
						// Now user has selected a file so will proceed
						if ($this->upload->do_upload('userfile')) {

							$data = $this->upload->data();
							// Resizing
							resizeImage($config['upload_path'] . $data['file_name'],  $config['upload_path'] . 'thumb_front/' . $data['file_name'], 400, 400);
						}
                    }
                    if (in_array($fileExtension, ['mp4', 'avi', 'wmv', 'mov', 'mpeg', 'mpg', 'flv', 'webm', 'mkv'])) {
                        $config['upload_path'] = './media/post/videos/';
						$config['allowed_types'] = 'mp4|avi|wmv|mov|mpeg|mpg|flv|webm|mkv';
						$config['encrypt_name'] = true;
						$this->load->library('upload', $config);
						// Now user has selected a file so will proceed
						if ($this->upload->do_upload('userfile')) {

							$data = $this->upload->data();
						}
                    }
                }
				$input_data = array( 
					'file_path' => $data['file_name'],
				    'post_id' => $post_id,
                    'default_image'=> $this->input->post('default_image',true),
				 	'status' => 1,
					'date_added' => $date_added,
					'date_updated' => $date_added,
				); 
				$res = $this->Post_image_model->insert($input_data); 
				if($res==true)$data['success_message'] = 'Record added successfully';else $data['error_message'] = 'Something went wrong';
			
			}
			else //Edit
			{
				$res = $this->Post_image_model->get_profile_image($edit_id);
				  
				if ($_FILES['userfile']['name']) {

                    // Get the file extension
                    $fileExtension = pathinfo($_FILES['userfile']['name'], PATHINFO_EXTENSION);
					
                    // Determine the destination folder based on the file type
                    if (in_array($fileExtension, ['jpg', 'jpeg', 'png', 'gif'])) {
                        $config['upload_path'] = './media/post/images/';
						$config['allowed_types'] = 'gif|jpg|jpeg|png';
						$config['encrypt_name'] = true;
						$this->load->library('upload', $config);
						// Now user has selected a file so will proceed
						if ($this->upload->do_upload('userfile')) {

							$data = $this->upload->data();
							$edit_image = $data['file_name'];
							if (file_exists('./media/post/images/thumb_front/' . $res->file_path)) {
								unlink('./media/post/images/thumb_front/' . $res->file_path);
							  }
							  if (file_exists('./media/post/images/' . $res->file_path)) {
								unlink('./media/post/images/' . $res->file_path);
							  }
							// Resizing
							resizeImage($config['upload_path'] . $data['file_name'],  $config['upload_path'] . 'thumb_front/' . $data['file_name'], 400, 400);
						}
                    }
                    if (in_array($fileExtension, ['mp4', 'avi', 'wmv', 'mov', 'mpeg', 'mpg', 'flv', 'webm', 'mkv'])) {
                        $config['upload_path'] = './media/post/videos/';
						$config['allowed_types'] = 'mp4|avi|wmv|mov|mpeg|mpg|flv|webm|mkv';
						$config['encrypt_name'] = true;
						$this->load->library('upload', $config);
						// Now user has selected a file so will proceed
						if ($this->upload->do_upload('userfile')) {

							$data = $this->upload->data();
							$edit_image = $data['file_name'];
							if (file_exists('./media/post/videos/' . $res->file_path)) {
								unlink('./media/post/videos/' . $res->file_path);
							  }
						}
                    }
                } else {
					$edit_image = $res->file_path;
				}
				$input_data = array(
                        'file_path' => $edit_image,
						'post_id' => $post_id,
						'default_image'=> $this->input->post('default_image',true),
						'status' => 1,
						'date_updated' => $date_added,
                );
            }
            $res = $this->Post_image_model->update($input_data,$edit_id);
            if($res==true)$data['success_message'] = 'Record updated successfully';else $data['error_message'] = 'Something went wrong';
            redirect('post_image/index/'.$post_id);
	}
}
	 		 
	public function delete($id)
	{
		$post_id = $this->uri->segment('4');
		//print_r($post_id); die();
		$img = $this->Post_image_model->get_profile_image($id);
			if (file_exists('./media/post/images/thumb_front/' . $img->file_path)) {
				unlink('./media/post/images/thumb_front/' . $img->file_path);
			}
			if (file_exists('./media/post/images/' . $img->file_path)) {
				unlink('./media/post/images/' . $img->file_path);
			  }
			  if (file_exists('./media/post/videos/' . $img->file_path)) {
				unlink('./media/post/videos/' . $img->file_path);
			  }
		$res = $this->Post_image_model->delete($id); 
		//print_r($res); die();
		 if($res)
		 {
			 $data['success_message'] = 'Record delete successfully';
			 $this->session->set_userdata('display_message', $data);
		 }
		 else
		 {
			 $data['error_message'] = 'Something went wrong';
			 $this->session->set_userdata('display_message', $data);
		 }
         redirect('post_image/index/'.$post_id);
	}
	 
	public function setstatus()
	{
		$id = $this->input->post('id');
		$current_st = $this->input->post('current_st');
		if($current_st == 1) {
			$statusData = array('status' => 0);
		} else {
			$statusData = array('status' => 1);
		}
		$update = $this->Post_image_model->update_status($id, $statusData);
		if($update==true)
		{
			echo 1;
		}else{
			echo 0;
		}
	}

	public function get_list($post_id)
	{
		$list = $this->Post_image_model->get_datatables($post_id);

		$img_path = base_url().'media/post/images/';
		$vid_path = base_url().'media/post/videos/';
		$data = array();
		$no = $_POST['start'];
		foreach ($list as $r) {
			$primary_id = $r->post_image_id;
			$no++;
			$row = array();
			// $row[] = '<input type="checkbox" name="chk[]" id="chk_'.$primary_id.'" value="'.$primary_id.'" />';
 			$row[]= $no;

			//Images
			$row[] = '<img width="150" height="150" src="'.$img_path.$r->file_path.'" alt="Image">';
            if($r->default_image==1)
			{
				$status = "<label class='label label-success'>Yes</label>";
			}else{
				$status = "<label class='label label-danger'>No</label>";
			}
            $row[] = '<h4>'.$status.'</h4>';
            $row[] =  $r->date_added;
			// $row[] = '<span class="mytooltip">
			// 		<a href="javascript:void(0)" onClick="doEdit('. $primary_id.');" class="btn btn-dark btn-xs" data-toggle="modal" data-target="#model_add"> <i class="fa fa-pencil"></i></a>
			// 		<span class="tooltiptext">Edit</span>
			// 		</span>
			// 		<span class="mytooltip">                     
			// 		<a href="javascript:void(0)" onClick="DeleteSet('.$primary_id.');" class="btn btn-danger btn-xs" data-toggle="modal" data-target="#model_delete"> <i class="fa fa-trash-o"></i></a>
			// 		<span class="tooltiptext">Delete</span>
			// 		</span>
            //          ';
			$row[] = '<span class="mytooltip">                     
					 <a href="javascript:void(0)" onClick="DeleteSet(' . $primary_id . ');" class="btn btn-danger btn-xs" data-toggle="modal" data-target="#model_delete"> <i class="fa fa-trash-o"></i></a>
					 <span class="tooltiptext">Delete</span>
					 </span>
					  ';
			$data[] = $row;
		}
		$output = array(
						"draw" => $_POST['draw'],
						"recordsTotal" => $this->Post_image_model->count_all(),
						"recordsFiltered" => $this->Post_image_model->count_filtered($post_id),
						"data" => $data
				);
		//output to json format
		echo json_encode($output);
	}
		  
}
?>
 