<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Users extends CI_Controller {

	function __construct() { 
         parent::__construct(); 
         error_reporting(0);
		 $this->load->model('User_model');
    }
	
	public function index()
	{
		$this->get_listdata();
	}
	
	public function get_listdata()
	{
		
		$data['page_title'] = 'Users'; 
	    $this->load->view('admin/user_view',$data);

	}
	public function getdata($id)
	{
		$result = $this->User_model->get_data($id); 
		echo json_encode($result);
	}
	
	public function add() { 
		$edit_id = $this->input->post('edit_id', TRUE);
		if (!is_numeric($edit_id)) 
			$this->get_listdata();
			 		
		//Form Validation 
		$this->form_validation->set_rules('first_name', 'First Name', 'required');
		$this->form_validation->set_rules('last_name', 'Last Name', 'required');
        $this->form_validation->set_rules('phone', 'Phone', 'required');
        $this->form_validation->set_rules('dob', 'DOB', 'required' );
		$this->form_validation->set_rules('email', 'Email', 'required');
		// $this->form_validation->set_rules('password', 'Password', 'required');
	 
		if ($this->form_validation->run() == FALSE)
		{
			//echo "<br>Validation Not Success";
//			redirect('master/'.$type);
			$this->get_listdata();
		 
		}
		else //If validation success
		{
			$this->load->library('email');
			$this->load->helper('string');
			$password = random_string('alnum', 8);
			//echo "<br>Validation Success";

			//Get Current Date and Time
			$this->load->helper('functions');
			//echo get_current_datetime();
			$date_added = get_current_datetime();
 
			if($edit_id==0) //Add
			{
				$input_data = array( 
					'first_name' => $this->input->post('first_name', TRUE),
				    'last_name' => $this->input->post('last_name', TRUE),
                    'phone' => $this->input->post('phone', TRUE),
                    'dob' => $this->input->post('dob', TRUE),
					'email' => $this->input->post('email', TRUE),
					'password' => md5($password),
				 	'status' => $status,
					'date_added' => $date_added,
					'date_updated' => $date_added
				); 
				$res = $this->User_model->insert($input_data); 
				if($res==true)$data['success_message'] = 'Record added successfully';else $data['error_message'] = 'Something went wrong';
					// $from_email = "yourname@yourdomain.com";
					// $to_email = $this->input->post('email');
					// $subject = "Login Details";
					// $message = "Your login Credentials are<br>Email: ".$to_email."<br>Password: ".$password;
					// $this->load->library('email');
					// $this->email->from($from_email);
					// $this->email->to($to_email);
					// $this->email->subject($subject);
					// $this->email->message($message);
					// if ($this->email->send()) {
					// $data['success_message'] = 'Mail Sent';
					// } else {
					// $data['error_message'] = 'Mail not sent';
					// }
			}
			else //Edit
			{
				$input_data = array( 
					'first_name' => $this->input->post('first_name', TRUE),
				    'last_name' => $this->input->post('last_name', TRUE),
				    'address' => $this->input->post('address', TRUE),
				    'state' => $this->input->post('state', TRUE),
				    'city' => $this->input->post('city', TRUE),
				    'zipcode' => $this->input->post('zipcode', TRUE),
                    'phone' => $this->input->post('phone', TRUE),
                    'dob' => $this->input->post('dob', TRUE),
					'email' => $this->input->post('email', TRUE),
					'status' => 1,
					'date_updated' => $date_added
				);
			 
				$res = $this->User_model->update($input_data,$edit_id);
				if($res==true)$data['success_message'] = 'Record updated successfully';else $data['error_message'] = 'Something went wrong';
			}
			//$this->get_listdata();
			$this->session->set_userdata('display_message', $data);
			redirect('users');
		}
	}
 
		 
	public function delete($id)
	{
		 $res = $this->User_model->delete($id); 
		 if($res)
		 {
			 $data['success_message'] = 'Record delete successfully';
			 $this->session->set_userdata('display_message', $data);
		 }
		 else
		 {
			 $data['error_message'] = 'Something went wrong';
			 $this->session->set_userdata('display_message', $data);
		 }
		redirect('users');
		 
	}
	 
	
	public function setstatus()
	{
		$id = $this->input->post('id');
		$current_st = $this->input->post('current_st');
		if($current_st == 1) {
			$statusData = array('status' => 0);
		} else {
			$statusData = array('status' => 1);
		}
		$update = $this->User_model->update_status($id, $statusData);
		if($update==true)
		{
			echo 1;
		}else{
			echo 0;
		}
	}
	
	public function get_list()
	{

		$list = $this->User_model->get_datatables(); 
		// print_r($list); 
		$data = array();
		$no = $_POST['start'];
		foreach ($list as $r) {
			$primary_id = $r->user_id;
			// print_r($primary_id); die();
			$no++;
			$row = array();
			$row[] = '<input type="checkbox" name="chk[]" id="chk_'.$primary_id.'" value="'.$primary_id.'" />';
 			// $row[] = $no;
 			$row[] = $r->first_name.' '.$r->last_name;
		 	$row[] = $r->email;
            $row[] = $r->phone;
            $row[] = $r->dob;
            $row[] = $r->address;
            $row[] = $r->city;
            $row[] = $r->state;
            $row[] = $r->zipcode;
           
			
			if($r->status==1)
			{
				$status = "<label class='label label-success'>Active</label>";
			}else{
				$status = "<label class='label label-danger'>Inactive</label>";
			}
			// if($r->date_updated=='0000-00-00 00:00:00'){
            //     $row[] = '';
            // }else{
            //     $row[] = $r->date_updated;
            // }
			$row[] = '<h4>'.$status.'</h4>';
			
			$row[] = '
                         <span class="mytooltip" >                     
                        <a href="javascript:void(0)" onClick="doEdit('. $primary_id.');" class="btn btn-dark btn-xs" data-toggle="modal" data-target="#model_add"> <i class="fa fa-pencil"></i></a>
                         <span class="tooltiptext">Edit</span>
                        </span>
                         <span class="mytooltip" >                     
                        <a href="javascript:void(0)" onClick="DeleteSet('.$primary_id.');" class="btn btn-danger btn-xs" data-toggle="modal" data-target="#model_delete"> <i class="fa fa-trash-o"></i></a>
                         <span class="tooltiptext">Delete</span>
                        </span>
						';		
			$data[] = $row;
		}
		$output = array(
						"draw" => $_POST['draw'],
						"recordsTotal" => $this->User_model->count_all(),
						"recordsFiltered" => $this->User_model->count_filtered(),
						"data" => $data
				);
		//output to json format
		echo json_encode($output);
	}
		  
}
?>