<?php
//session_start();
Class Post_image_model extends CI_Model
{
	var $table = 'post_image';
	//var $table2 = 'customer_family';
	var $column_order = array('','p.default_image','p.date_added' ); //set column field database for datatable orderable
	var $column_search = array('p.default_image','p.date_added'); 
	//set column field database for datatable searchable 
	//var $order = array('full_name' => 'asc'); // default order
  	function __construct() { 
	 	parent::__construct(); 
  	}
	public function get_data($id) {
		$this->db->select('*');
		$this->db->from('post_image as a');
		$this->db->where('post_image_id', $id);
		$query = $this->db->get();
		return $query->row();
		
	}
	public function get_list()
	{
		$this->db->select('*');
		$this->db->from('equipment_quantity');
		$query = $this->db->get();
		return $query->result();
	}
	// public function getModelData($post_id){
	// 	$response = array();
    //     $this->db->select('*');
	// 	$this->db->where('post_id',$post_id);
    //     $q = $this->db->get('model');
    //     $response = $q->result_array();
    //     return $response;
	// }

	public function getpostdetails($post_id){
        $this->db->select('post.*, material.material_name');
        $this->db->from('post');
        $this->db->join('material', 'material.material_id = post.material_type', 'left');
        $this->db->where('post.post_id', $post_id);
        $query = $this->db->get();
        return $query->row();
	}

	public function get_profile_image($edit_id){
		$this->db->select('file_path');
		$this->db->where('post_image_id',$edit_id);
		$this->db->from('post_image');
		$query = $this->db->get();
		return $query->row();
	}

    public function updateData($id, $quantiy ) { 
		$this->db->set($quantiy); 
		$this->db->where("equipment_id", $id); 
		if ( $this->db->update("equipment", $quantiy)) {  
		 return true; 
		}else{
		 return false;
		}
	}

	public function insert($data) {
	    //echo "<br> Insert";
		if ($this->db->insert("post_image", $data)) { 
			return true;
		}else{
		 	return false;
		}
	}
	
	public function update($data,$id) { 
		$this->db->set($data); 
		$this->db->where("post_image_id", $id);
		if ( $this->db->update("post_image", $data)) {
		 return true; 
		}else{
		 return false;
		}
	} 
	
	public function delete($id) { 
		$this->db->where('post_image_id', $id);
		if ($this->db->delete("post_image")) { 
			return true; 
		}else{
			 return false;
		}
	}
    
	public function update_status($id, $statusData) {
		$arrIds = explode(",",$id);
		$this->db->where_in('equip_quantity_id', $arrIds);
		$update = $this->db->update('equipment_quantity', $statusData);
		return ($update==true)?true:false;
	}
	private function _get_datatables_query($post_id)
	{	
        $this->db->select('p.*');
        $this->db->from('post_image as p');
        $this->db->where('p.post_id', $post_id);

		// $this->db->select('a.*, CONCAT(m.first_name, " ", m.last_name) AS full_name, CONCAT("' . base_url() . 'media/models/", a.file_path) AS full_file_path');
		// $this->db->from('post_image as a');
		// $this->db->join('model as m', 'a.post_id = m.post_id');
		// $this->db->where('a.post_image_id', $id);
		// $query = $this->db->get();
		// return $query->row();


		$i = 0;

		foreach ($this->column_search as $item) // loop column 
		{
			if($_POST['search']['value']) // if datatable send POST for search
			{
				if($i===0) // first loop
				{
					$this->db->group_start(); // open bracket. query Where with OR clause better with bracket. because maybe can combine with other WHERE with AND.
					$this->db->like($item, $_POST['search']['value']);
				}
				else
				{
					$this->db->or_like($item, $_POST['search']['value']);
				}
				if(count($this->column_search) - 1 == $i) //last loop
					$this->db->group_end(); //close bracket
			}
			$i++;
		}
		
		if(isset($_POST['order'])) // here order processing
		{
			$this->db->order_by($this->column_order[$_POST['order']['0']['column']], $_POST['order']['0']['dir']);
		} 
		else if(isset($this->order))
		{
			$order = $this->order;
			$this->db->order_by(key($order), $order[key($order)]);
		}
	}
	public function get_datatables($post_id)
	{
		$this->_get_datatables_query($post_id);
		if($_POST['length'] != -1)
		$this->db->limit($_POST['length'], $_POST['start']);
		
		$query = $this->db->get();
	   // echo "SQL:" . $this->db->last_query();
		return $query->result();
	}
	public function count_filtered($post_id)
	{
		$this->_get_datatables_query($post_id);
		$query = $this->db->get();
		return $query->num_rows();
	}
	public function count_all()
	{
		$this->db->from($this->table);
		return $this->db->count_all_results();
	}

}
?>