<?php $this->load->view('admin/header'); //print_r($records_religion)
?>
<!-- /top navigation -->
<!-- page content -->
<div class="right_col" role="main">
    <div class="">
        <div class="page-title">
            <div class="title_left">
                <h3><?php echo $page_title; ?></h3>
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                    <div class="x_title">
                        <!-- <a href="javascript:void(0)" onClick="clearForm();" class="btn btn-primary" data-toggle="modal" data-target="#model_add" id="show_add_model"><i class="fa fa-plus"></i> Add Post</a> -->
                        <div class="btn-group" style="margin-top: -5px;">
                            <button type="button" class="btn btn-primary">With Selected</button>
                            <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-expanded="false"> <span class="caret"></span> <span class="sr-only">Toggle Dropdown</span> </button>
                            <ul class="dropdown-menu" role="menu">
                                <li><a href="javascript:void(0)" onClick="do_Activate(0);">Activate</a> </li>
                                <li><a href="javascript:void(0)" onClick="do_Activate(1);">Inactivate</a> </li>
                                <li class="divider"></li>
                            </ul>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">
                        <div class="col-md-12 col-sm-12 col-xs-12" style="overflow:auto">
                            <table id="table" class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th class="no-sort"><input type="checkbox" name="chkall" id="chkall" onclick="SelectAll();" /></th>
                                        <th>Title</th>
                                        <th>Description</th>
                                        <th>Material type</th>
                                        <th>Location</th>
                                        <th>Status</th>
                                        <th class="no-sort">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- /page content -->

<!-- modals large for add-->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="model_add">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div id="alert_success" class="alert alert-danger alert-dismissible fade in" role="alert" style="display:<?php if (validation_errors() != "") echo 'block';
                                                                                                                        else echo 'none' ?>">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span> </button>
                <?php echo validation_errors(); //echo $error_message; 
                ?>
            </div>
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span> </button>
                <h4 class="modal-title" id="AddModal_Header">Add New Model</h4>
            </div>
            <div class="modal-body">
                <!-- <h4>Add New Records</h4>-->
                <?php echo form_open(base_url() . $this->uri->segment(1) . '/add', array('id' => 'frm1', 'method' => 'post', 'class' => 'form-horizontal form-label-left', 'novalidate' => '', 'enctype' => 'multipart/form-data')); ?>
                <input type="hidden" name="edit_id" id="edit_id" value="<?php if (set_value('edit_id') == '') echo '0'; ?>" />
                <div class="item form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12">User<span class="required">*</span> </label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <select id="user" name="user" class="form-control" required="">
                            <option value="">--Select User --</option>
                            <?php foreach($users as $user) { ?>
                                <option value="<?php echo $user->user_id; ?>"><?php echo $user->first_name; ?> <?php echo $user->last_name; ?></option>
                            <?php } ?>
                            <!-- <?php
                            foreach ($users as $row) {
                                echo "<option  value='" . $row->user_id . "' >" . $row->first_name . ' ' . $row->last_name . "</option>";
                            }
                            ?> -->
                            <!-- <option value="1">Yes</option>
                            <option value="0">No</option> -->
                            <select>
                    </div>
                </div>
                <div class="item form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12">Title<span class="required">*</span> </label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <input type="text" id="title" name="title" class="form-control col-md-7 col-xs-12" placeholder="title" value="<?php echo set_value('title'); ?>" required />
                    </div>
                </div>
                <div class="item form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12">Description<span class="required">*</span></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <input type="text" id="description" name="description" class="form-control col-md-7 col-xs-12" placeholder="description" value="<?php echo set_value('description'); ?>" />
                    </div>
                </div>
                <div class="item form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12">Materials <span class="required">*</span> </label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <select id="material_type" name="material_type" class="form-control" required>
                            <option value="">--Select Material --</option>
                            <?php
                            foreach ($materials as $row) {
                                echo "<option  value='" . $row->material_id . "' >" . $row->material_name . "</option>";
                            }
                            ?>
                        </select>
                    </div>
                </div>
                <div class="item form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12">Location<span class="required">*</span></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <input type="text" id="location" name="location" class="form-control col-md-7 col-xs-12" placeholder="location" value="<?php echo set_value('location'); ?>" />
                    </div>
                </div>
                <div class="ln_solid"></div>
                <div class="form-group">
                    <div class="col-md-6 col-md-offset-3">
                        <button id="btn_close" onclick="clearForm()" type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
                        <button id="btn_submit" type="submit" class="btn btn-success">Submit</button>
                    </div>
                </div>
                <?php echo form_close(); ?>
            </div>
        </div>
    </div>
</div>
<!-- /modals -->
<!-- modals large for view-->
<div class="modal fade bs-example-modal-sm" tabindex="-1" role="dialog" aria-hidden="true" id="model_view">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span> </button>
                <h4 class="modal-title" id="myModalLabel">View Details </h4>
            </div>
            <div class="modal-body" id="dispaly_view">
                <!-- <h4>Add New Records</h4>-->
                <table class="table">
                    <tbody>

                        <tr>
                            <td><b>First Name</b></td>
                            <td class="row">:</td>
                            <td id="first_name_dp">&nbsp;</td>
                        </tr>
                        <tr>
                            <td><b>Last Name</b></td>
                            <td class="row">:</td>
                            <td id="last_name_dp">&nbsp;</td>
                        </tr>
                        <tr>
                            <td><b>Phone</b></td>
                            <td class="row">:</td>
                            <td id="phone_dp">&nbsp;</td>
                        </tr>

                        <tr>
                            <td><b>Date of Birth</b></td>
                            <td class="row">:</td>
                            <td id="dob_dp">&nbsp;</td>
                        </tr>
                        <tr>
                            <td><b>Email</b></td>
                            <td class="row">:</td>
                            <td id="email_dp">&nbsp;</td>
                        </tr>
                        <tr>
                            <td><b>Send Activation Email </b></td>
                            <td class="row">:</td>
                            <td id="status_dp">&nbsp;</td>
                        </tr>
                        <tr>
                            <td><b>Added Date</b></td>
                            <td class="row">:</td>
                            <td id="date_added_dp">&nbsp;</td>
                        </tr>
                        <tr>
                            <td><b>Last Modified</b></td>
                            <td class="row">:</td>
                            <td id="date_updated_dp">&nbsp;</td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
<!-- /modals -->
<!-- footer content -->
<?php $this->load->view('admin/footer'); ?>
<!-- /footer content -->
<script>
    function clearForm() {
        //Change it according to your data 
        document.getElementById('title').value = '';
        document.getElementById('description').value = '';
        document.getElementById('material_type').value = '';
        document.getElementById('user').value = '';
        document.getElementById('location').value = '';

        //Keep this do not delete
        document.getElementById('edit_id').value = '0';
        // document.getElementById('status').checked = false;
        $(".icheckbox_flat-green").last().removeClass("checked");
        //Rename Header of Model
        document.getElementById('AddModal_Header').innerHTML = "Add New Post";
        //jquery to remove all error 
        $('.bad').removeClass('bad');
        //Hide Error Message
        document.getElementById('alert_success').style.display = "none";
        //////////
    }

    function doEdit(id) {
        clearForm();
        document.getElementById('AddModal_Header').innerHTML = "Edit Post";
        // document.getElementById('master_value').readOnly = true;
        document.getElementById('edit_id').value = id;
        //get data for populate
        datav = "";
        //datav+="&state_id="+state_id;
        urlval = "<?php echo base_url() . $this->uri->segment(1); ?>/getdata/" + id;
        $.ajax({
            type: "post",
            url: urlval,
            data: datav,
            success: function(myJSON) {
                var arrData = JSON.parse(myJSON);
                console.log(arrData);
                document.getElementById('title').value = arrData['title'];
                document.getElementById('user').value = arrData['user_id'];
                document.getElementById('description').value = arrData['description'];
                const selectElement = document.getElementById("material_type");
                for (let i = 0; i < selectElement.options.length; i++) {
                    if (selectElement.options[i].value === arrData['material_type']) {
                        selectElement.selectedIndex = i;
                        break;
                    }
                }
                document.getElementById('location').value = arrData['location'];

                document.getElementById('edit_id').value = arrData['post_id'];
            }
        });
        console.clear();
    }

    function doView(id) {
        //get data for populate
        datav = "";
        //datav+="&state_id="+state_id;
        urlval = "<?php echo base_url() . $this->uri->segment(1); ?>/getdata/" + id;
        $.ajax({
            type: "post",
            url: urlval,
            data: datav,
            success: function(myJSON) {
                var arrData = JSON.parse(myJSON);

                //Change it according to your data

                document.getElementById('first_name_dp').innerHTML = arrData['first_name'];
                document.getElementById('last_name_dp').innerHTML = arrData['last_name'];
                document.getElementById('phone_dp').innerHTML = arrData['phone'];
                document.getElementById('dob_dp').innerHTML = arrData['dob'];
                document.getElementById('email_dp').innerHTML = arrData['email'];

                document.getElementById('date_added_dp').innerHTML = ConvertSQLDateFormat_ToDisplay(arrData['date_added']);
                document.getElementById('date_updated_dp').innerHTML = ConvertSQLDateFormat_ToDisplay(arrData['date_updated']);

                if (parseInt(arrData['status']) == 1) document.getElementById('status_dp').innerHTML = 'Active';
                else document.getElementById('status_dp').innerHTML = 'Inactive';
            }

        });
        console.clear();
    }
</script>

<script type="text/javascript">
    var table;
    $(document).ready(function() {
        //datatables
        table = $('#table').DataTable({
            "lengthMenu": [10, 25, 50, 100],
            "autoWidth": false,
            "processing": true,
            "serverSide": true,
            "pageLength": 10,
            // "order": [[6,"DESC"]],
            "ajax": {
                "url": "<?php echo base_url() . $this->uri->segment(1); ?>/get_list",
                "type": "POST",
                "data": function(data) {},
            },
            dom: '1Blfrtip',
            buttons: [],
            "columnDefs": [{
                "targets": 0,
                "orderable": false,
            }, {
                "targets": 6,
                "orderable": false,
            }]
        });
    });

    function toggleStatus(id, current_st) {
        datav = "";
        datav += "id=" + id;
        datav += "&current_st=" + current_st;
        //datav+="&state_id="+state_id;
        urlval = "<?php echo base_url() . $this->uri->segment(1); ?>/setstatus";
        $.ajax({
            type: "post",
            url: urlval,
            data: datav,
            success: function(myJSON) {
                table.ajax.reload();
                if (myJSON == 1) {
                    new PNotify({
                        title: 'Success',
                        text: 'Status updated succefully',
                        type: 'success',
                        styling: 'bootstrap3'
                    });
                } else {
                    new PNotify({
                        title: 'Error',
                        text: 'Something went wrong..',
                        type: 'error',
                        styling: 'bootstrap3'
                    });
                }
            }
        });
        //console.clear();
    }

    function DeleteSet(id) {
        document.getElementById('hid_id').value = id;
    }

    function doDelete() {
        id = document.getElementById('hid_id').value;
        location.href = '<?php echo base_url(); ?><?php echo $this->uri->segment(1) ?>/delete/' + id;
    }

    function ModelImages(id) {
        location.href = '<?php echo base_url(); ?>Post_image/index/' + id;
    }
</script>