<?php
defined('BASEPATH') OR exit('No direct script access allowed');
//session_start();
//echo "hr";
class Login extends CI_Controller {

	function __construct() { 
         parent::__construct(); 
	   	$this->load->model('login_model','',TRUE);
    } 
	
	public function index()
	{
		$this->form_validation->set_rules('username', 'Username', 'required');
		$this->form_validation->set_rules('password', 'Password', 'required',
				array('required' => 'You must provide a %s.')
		);

		$data = array(
			'error_message' => ''
		);
		//$this->form_validation->set_error_delimiters('<div class="alert">', '</div>');
		if ($this->form_validation->run() == FALSE)
		{
			$this->load->view('admin/login_view',$data);
		}
		else //If validation success
		{
			$res = $this->varify_database();
			if($res)
			{
				$this->login_model->save_userlog();
				redirect('dashboard', 'refresh');
			}
			else
			{
				//$this->form_validation->set_message('rule', 'Invalid username or password');	
				//$this->form_validation->set_message('username_check', 'Error Message');
				$data = array('error_message' => 'Invalid Username or Password');					
				$this->load->view('admin/login_view',$data);
			}
		}
	}
	
	
	public function varify_database() 
	{
	   $username = $this->security->xss_clean($this->input->post('username', true));
	   //$password = $this->input->post('password');
	   $password = $this->security->xss_clean($this->input->post('password', true));
	 
	   //query the database
	   $result = $this->login_model->isSuccesslogin($username, $password);
	   if($result)
	   {
		 $sess_array = array();
		 foreach($result as $row)
		 {
		   $sess_array = array(
			 'admin_user_id' => $row->admin_user_id,
			 'username' => $row->username,
			 'full_name' => $row->full_name,
			 'profile_image' => $row->profile_image,
			 'user_type' => $row->user_type,
			//'profile_image_3' => $row->profile_image_3
		   );
		 }
		 
		 $this->session->set_userdata('logged_in', $sess_array);
		 return TRUE;
	   }
	   else
	   {
		 return false;
	   }
	}
	
	public function logout()
	{
	   // Removing session data
		$this->session->sess_destroy();
	   	redirect('login', 'refresh');
	}
}
?>

